\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}

\title{Sprint 3 - Final Report}
\author{Alain Mahieu, Hieu Le, Jeongkyeong Park, Liangkun He and Tomasz Karg}

\date{\today}

\begin{document}


\maketitle

\section{Sprint 3 planning}

    \begin{enumerate}
    	\item Tasks left from previous Sprint
    	\begin{itemize}
    		\item Changing the approach to extract footprints from Process trees
    		\item Usage Documentation 
    	\end{itemize}
        \item New Tasks
        \begin{itemize}
        	\item Making process trees visible in the Front-end
        	\item Making footprint tables visible in the Front-end
        	\item Highlighting deviations of footprints
        	\item Being able to upload files in the web interface
            
        \end{itemize}
    \end{enumerate}

\section{Status}
	In this Sprint we merged our Front end with our Back-end since the Back-end had all functionalities it needed to do a footprint based conformance checking.  
	At least for the process tree used for the tests we can now extract the correct footprint matrix. If it works properly for other process trees as well we 
	will see in the testing phase. 
	For web interface we extended it to provide the basic functionalities we had to cover to be usable. Those are uploading log files in csv and xes, visualizing 
	process tree models, visualizing footprint matrices and highlighting deviations of the matrices. In the testing phase we will see if all things really work 
	as intended. 
    
    \subsection{Achieved}
        In the following we described how much time we spent on each task. For details some tasks were added/removed/postponed during the sprint.

    \begin{center}
        \begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
        
            \hline
            Task & Spent time & Comment  \\
            \hline
        
        \end{tabular}    
    \end{center} 

    \textbf{Alain: Footprint Extraction Algorithm (est: 10h, spent:9h)} \\
    	\begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
    		
    		\hline
    		Finishing the approach to directly extract footprints from process trees & 8h & \\
    		\hline
    		Write additional Unit tests & 1h & \\
    		\hline
    		Research & 4h & \\
    		\hline
    		Documenting the Implementation Approach & 2h & \\
    		\hline
    		Other & 1h & \\
    		\hline
    		
    		
    	\end{tabular} 
    \\
    
    \textbf{Hieu: Web interface (est: 18h, spent:21h)} \\
    	\begin{tabular}{|p{9.7cm}|p{1.65cm}|p{1.5cm}|}
    		
    		\hline
    		Retouch the web interface and link the backend into frontend (Upload feature, Process tree and Footprint matrices tabs) & 13h & \\
    		\hline
    		Function to extract process tree from event log and its image & 2h & \\
    		\hline
    		Research & 4h & \\
    		\hline
    		Usage part in Documentation & 2h & \\
    		\hline
  
    		
    	\end{tabular} \\ \\ 
    	
    
    
\subsection{To-do}

 
\section{Sprint review}
\subsection{Alain Mahieu}
"In this sprint we had to merge our back end and our front end. That meant to link the backend functionalities to the places we
wanted it to be used in the webinterface. I was mainly involved finishing our algorithm to extract footprints directly from 
process tree models. In the end I managed to complete it so that at least the test process tree gets correct footprint values.
If the algorithm holds for all process trees we will see in the testing phase. "


\subsection{Hieu Le}
"In this sprint, I have done the work of connecting and displaying the results from backend of our product onto web interface. I have encountered many problems, such as how to manage and execute the uploaded file, how to highlight with color the deviations of 2 matrices or how to save the process tree extracted from PM4Py (graphviz object) in a png-format file to display it on the web. In general, I have learned many new things in this sprint and am looking forward to finishing the praktikum strong!" 

\subsection{Jeongkyeong Park}
"I am confronted with many problems related to tasks such as extracting and imaging of the process tree from the event log, but I received a lot of help from the project members. I think it was because of the lack of a lot of practical experiences. Through this Praktikum, I learned about patience, persistence and the courage to ask for help. Writing coding and logical thinking involves endless study, time and effort. With this opportunity, I became more and more interested in Python and process mining."

\subsection{Liangkun He}
"In this sprint I merged the 'frontend' branch into the master. I ran into a lot of merge conflicts with my local codes. I managed to locate and fix all these issues. I have learned that I need to pay more attention to coding habits and branch-managing to avoid such mistakes."

\subsection{Tomasz Karg}

\end{document}
